Disable seller
Disables or deactivates the seller object. When the seller has been disabled, the status changes from Active to Disabled. Note that disabled sellers can't be used in transactions.
Disable seller. Changes seller state to Disabled. Available for Operations account with platform account management permissions. Returns the updated seller object.
Path parameters
idstringRequired
Seller identifier.
Responses
200
OK
application/json
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
externalIdstring · nullableOptional
statusstring · enumOptionalPossible values:
400
Bad Request
application/json
404
Not Found
application/json
post/public/v1/accounts/sellers/{id}/disable
POST /public/v1/accounts/sellers/{id}/disable HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"id": "SEL-7295-4834",
"revision": 2,
"name": "SoftwareOne AG",
"externalId": "SWO_CH",
"status": "Disabled",
"audit": {
"created": {
"at": "2024-02-01T09:12:23+00:00",
"by": {
"id": "USR-0001",
"name": "Ops User"
}
},
"updated": {
"at": "2024-02-02T10:10:00+00:00",
"by": {
"id": "USR-0001",
"name": "Ops User"
}
},
"disabled": {
"at": "2024-02-02T10:10:00+00:00",
"by": {
"id": "USR-0001",
"name": "Ops User"
}
}
}
}Last updated
Was this helpful?